close all;
L = 0.1;%length in meters
R = 0.02;%radius
PlateWithHole.vertices = [0 L/2 L L 0 L/2   L/2   L/2; ...
						  0 0   0 L L L/2-R L/2+R L/2];

PlateWithHole.edges = [1 2; 2 6; 6 7; 7 6; 6 2; 2 3; 3 4; 4 5; 5 1]';
PlateWithHole.arcs = [3 8; 4 8]';
PlateWithHole.virtual = [2; 5]';
fem = TriElasticity(PlateWithHole,4000);
%fem.plotGeometryWithLabels();
%%
fem = fem.setYoungsModulus(2e11);
fem = fem.setPoissonsRatio(0.28);
fem = fem.fixEdge(9);
fem = fem.applyXForceOnEdge(7,1000); 
fem = fem.assemble();
fem = fem.solve();
fem.plotStress();
fem.myMaxDelta
fem.myMaxStress
