% Correlated sampling
close all;

x = Normal_Sampling(3,0.1,10000);
y = Normal_Sampling(2,0.05,10000);
rho = 0.9;
%%
cov(x,y)
%%
plot(x,y,'.'); axis equal; % not desirable
%%
alpha = rho*0.05/0.1;
X = Normal_Sampling(3,0.1,10000);
Y = Normal_Sampling(2-alpha*3,0.05*sqrt(1-rho^2),10000);
%%
figure;
plot(X,Y,'.'); axis equal;
%%
x = X;
y = alpha*X +Y;
%%
figure;
plot(x,y,'.'); axis equal;
%%
mean(x)
mean(y)
%%
Sigma = cov(x,y)
Sigma(1,2)/(sqrt(Sigma(1,1))*sqrt(Sigma(2,2)))


