function [x] = N_Sampling(mu,sigma, N)
% Generate N samples that mimics a normal distribution with mu, sigma
% Usage:
% 1. [x] = N_Sampling;
% 2. [x] = N_Sampling(20,0.5);
% 3. [x] = N_Sampling(20,0.5,50);
%
% hist(x);% to plot histogram
if (nargin == 0)
    mu = 0;
    sigma = 1.0;
    N = 100;
elseif (nargin == 2)
    N = 100;
end
z = randn(1,N);
x = z*sigma+mu;
