format compact;
clear all;
mu_x = 0.5;
sigma_x = 0.01;
mu_y = 0.49;
sigma_y = 0.02;

rho = 1; % correlation coefficient

mu_yHat = mu_y - rho*sigma_y/sigma_x*mu_x
sigma_yHat =  sqrt(sigma_y^2*(1-rho^2))

%w = x-y
%w = (1-2*rho)*x - yHat;

mu_w = (1-2*rho)*mu_x - mu_yHat
sigma_w = sqrt( (1-2*rho)^2*sigma_x^2 + sigma_yHat^2)

% P( w > 0) = 1- P(w < 0);
p = 1- N_CDF(0,mu_w,sigma_w)