function [g,grad_g, H] = gNonlinearEx3(zVec)
z1 = zVec(1); z2 = zVec(2);z3 = zVec(3);
g = 1.1 + 0.2*z1.^2 +0.25*z2.^2 - z3;
if (nargout == 1) 
    return;
end
grad_g(1) = 0.4*z1;
grad_g(2) = 0.5*z2;
grad_g(3) = -1;
if (nargout == 2) 
    return;
end
H = zeros(3,3);
H(1,1) = 0.4;
H(2,2) = 0.5;
H(3,3) = 0;
