% LBracket
close all;
L = 0.1;%length in meters
H = 0.04;%height
r = 0.01; % fillet radius
d = 0.005; % for force application 
LBracket.vertices =  [0 0;L 0; L H; L-d H; H+r H; H H+r; H L; 0 L; H+r H+r]';
LBracket.edges = [1 2; 2 3; 3 4; 4 5; 5 6; 6 7; 7 8; 8 1]';
LBracket.arcs = [5 9]';
fem = TriElasticity(LBracket,4000); 
return
%fem.plotGeometryWithLabels();
%%
fem = fem.setYoungsModulus(2.1e11);
fem = fem.setPoissonsRatio(0.28);
fem = fem.fixEdge(7);
fem = fem.applyYForceOnEdge(3,-100000); 
fem = fem.assemble();
fem = fem.solve();
fem.plotStress();
fem.myMaxDelta
fem.myMaxStress
