function [g,grad_g,H] = gNonlinearEx6(zVec)
a = 0.1;
b = 0.1;
if (nargout == 1)
    z1 = zVec(1,:); z2 = zVec(2,:);
    g = 3. + a*z1.^2 + b*z1.^3 - z2;
    return;
else 
    z1 = zVec(1); z2 = zVec(2);
    g = 3. + a*z1.^2 + b*z1.^3 - z2;
    grad_g(1) = 2*a*z1 + b*3*z1^2;
    grad_g(2) = -1;
end
if (nargout == 2), return;end
H = zeros(2,2);
H(1,1) = 2*a + b*3*2*z1;

