function [x] = Triangle_CDF_Inverse(a,b,u)
% For the symmetric triangle distribution over the interval [a,b], 
% compute the inverse cumulative distribution function 

if (u < 0.5)
    x = a + sqrt(0.045*u);
elseif (u <= 1.0)
    x = b - sqrt(0.045*(1-u));
end
