% triangle sampling
close all;
clc;
a = 0.15;
b = 0.45;
[f,x] = Triangle_PDF(a,b); % use from your HW assignment
plot(x,f);
%%
figure;
[F,x] = Triangle_CDF(a,b);
plot(x,F);
%%
hold on;
uSamples = 0:0.05:1.0;
for i = 1:numel(uSamples)
    u = uSamples(i);
    x = Triangle_CDF_Inverse(a,b,u);
    plot([0 x],[u u],':r');
    pause
    plot([x x],[0 u],':b');
    pause
end
%%

uSamples = rand(1,1e6);
x = zeros(1,numel(uSamples));
for i = 1:numel(uSamples)
    u = uSamples(i);
    x(i) = Triangle_CDF_Inverse(a,b,u); 
end
figure;
histogram(x,100);

