function [x] = LN_Sampling(lambda,xi, N)
% Generate N samples that mimics a normal distribution with lambda, xi
% Usage:
% mu = 1; sigma = 0.25;
% [lambda,xi] = LN_LambdaXi(mu,sigma);
% [x] = LN_Sampling(lambda,xi, 10^6);
% hist(x);% to plot histogram
if (nargin == 2)
    N = 100;
end
[y] = N_Sampling(lambda,xi, N);
x = exp(y);