function [f,x] = Uniform_PDF(a,b,x)
% For the uniform distribution over the interval [a,b], 
% compute the probability distribution function 
if (nargin == 2) % if x is not given
    offset = (b-a)/10;
    x = a-offset:(b-a)/1000:b+offset;
end
% Vectorize
f = (x<a).*0 + (x>=a).*(x<=b).*(1/(b-a)) + (x>b).*0;
