clc; close all
angles = 0:5:360;
L0 =[1 2.5 2.50 2.0 2.5]; % nominal
x0 = zeros(1,numel(angles));
y0 = zeros(1,numel(angles));
for i = 1:numel(angles)
    P = HoekensLinkage(angles(i)*pi/180,L0);
    x0(i) = P(1,5);
    y0(i) = P(2,5);
    plot(P(1,1:4),P(2,1:4),'linewidth',2.0);  hold on;
    axis([-2 5 -2 5]); axis square;
    plot(P(1,5),P(2,5),'*');
    pause(0.05);
    hold off;
end
hold on;
plot(x0,y0);  % Plot the tracer point
grid on;
